<?php
require '../conexao/conexao.php';

// Obter os dados do formulário
$id_metas = $_POST['id_metas'] ?? null;
$codigo_filial = $_POST['codigo_filial'] ?? null;
$ano = $_POST['ano'] ?? null;
$mes = $_POST['mes'] ?? null;
$valor_manipulado = $_POST['valor_manipulado'] ?? null;
$valor_revenda = $_POST['valor_revenda'] ?? null;
$valor_marcapropria = $_POST['valor_marcapropria'] ?? null;
$cidade = $_POST['cidade'] ?? null;

if ($valor_manipulado !== null) {
    // Remove pontos e troca vírgulas por pontos
    $valor_manipulado = str_replace(['.', ','], ['', '.'], $valor_manipulado);
}

if ($valor_revenda !== null) {
    $valor_revenda = str_replace(['.', ','], ['', '.'], $valor_revenda);
}

if ($valor_marcapropria !== null) {
    $valor_marcapropria = str_replace(['.', ','], ['', '.'], $valor_marcapropria);
}
// Dependendo se o id_metas está presente ou não, vamos inserir um novo registro ou atualizar um existente
if (is_null($id_metas) || $id_metas == 0) {
    // Insere os dados na tabela metas
    $stmt = $connectionmysql->prepare("INSERT INTO metas (codigo_filial, ano, mes, valor_manipulado, valor_revenda, valor_marcapropria) VALUES (?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("iiiddd", $codigo_filial, $ano, $mes, $valor_manipulado, $valor_revenda, $valor_marcapropria);

    // Substitui vírgula por ponto
    $valor_manipulado = str_replace(',', '.', $valor_manipulado);
    $valor_revenda = str_replace(',', '.', $valor_revenda);
    $valor_marcapropria = str_replace(',', '.', $valor_marcapropria);

    if ($stmt->execute()) {
        $cidade_escapada = urlencode($cidade);
        $ano_escapado = urlencode($ano);
        $mes_escapado = urlencode($mes);

        // Redirecionamento com parâmetros na URL
        header("Location: index.php?status=sucesso&cidade=$cidade_escapada&ano=$ano_escapado&mes=$mes_escapado&form_submitted=1");
        exit;
    } else {
        echo "Erro: " . $stmt->error;
    }
}

$stmt->close();
$connectionmysql->close();
?>
